# Check GTM quota status GET /api/v1/gtm/studios/{studio_uid}/quota-status/ Check the current quota status for a studio. Returns current usage, remaining quota, and reset date. Useful for displaying quota information in the UI. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/gtm-studio/gtm-studios-quota-status-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/gtm/studios/{studio_uid}/quota-status/: get: operationId: gtm-studios-quota-status-retrieve summary: Check GTM quota status description: >- Check the current quota status for a studio. Returns current usage, remaining quota, and reset date. Useful for displaying quota information in the UI. tags: - subpackage_gtmStudio parameters: - name: studio_uid in: path description: Studio unique identifier required: true schema: type: string responses: '200': description: Quota status information content: application/json: schema: $ref: '#/components/schemas/QuotaStatus' '403': description: Not authorized to access this studio content: application/json: schema: description: Any type '404': description: Studio not found or GTM not enabled content: application/json: schema: description: Any type components: schemas: QuotaStatus: type: object properties: studio_id: type: string format: uuid studio_name: type: string current_usage: type: integer monthly_quota: type: integer default: 200 remaining_quota: type: integer quota_percentage: type: number format: double quota_reset_date: type: string format: date can_use_gtm: type: boolean message: type: string required: - studio_id - studio_name - current_usage - remaining_quota - quota_percentage - quota_reset_date - can_use_gtm description: Serializer for quota status response title: QuotaStatus ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/gtm/studios/studio_uid/quota-status/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```